function myBind(context, fn) {
    return function (...args) {
        fn.apply(context, args)
    }
}

function logPerson() {
    console.log(`Person: ${this.name}, ${this.age}`);
}

let person1 = {name: 'Vasyan', age: 19};
let person2 = {name: 'Toma', age: 20};
myBind(person1, logPerson())();